## IdeSymbolNode IdeSymbolNode |

## Functions

IdeSymbolKind | ide_symbol_node_get_kind ()
IdeSymbolFlags | ide_symbol_node_get_flags ()
const gchar * | ide_symbol_node_get_name ()

## Types and Values

#define | IDE_TYPE_SYMBOL_NODE
struct | IdeSymbolNodeClass
| IdeSymbolNode

## Description

## Functions

### ide_symbol_node_get_kind ()

    IdeSymbolKind
    ide_symbol_node_get_kind (IdeSymbolNode *self);

### ide_symbol_node_get_flags ()

    IdeSymbolFlags
    ide_symbol_node_get_flags (IdeSymbolNode *self);

### ide_symbol_node_get_name ()

    const gchar *
    ide_symbol_node_get_name (IdeSymbolNode *self);

## Types and Values

### IDE_TYPE_SYMBOL_NODE

    #define IDE_TYPE_SYMBOL_NODE (ide_symbol_node_get_type())

### struct IdeSymbolNodeClass

    struct IdeSymbolNodeClass {
      IdeObjectClass parent;

      void               (*get_location_async)  (IdeSymbolNode        *self,
                                                 GCancellable         *cancellable,
                                                 GAsyncReadyCallback   callback,
                                                 gpointer              user_data);
      IdeSourceLocation *(*get_location_finish) (IdeSymbolNode        *self,
                                                 GAsyncResult         *result,
                                                 GError             **error);

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    };

### IdeSymbolNode

    typedef struct _IdeSymbolNode IdeSymbolNode;